HandlerMethodResolver (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.web.bind.annotation.support

## Class HandlerMethodResolver

- java.lang.Object
- - org.springframework.web.bind.annotation.support.HandlerMethodResolver

-     public class HandlerMethodResolver
      extends Object

  Support class for resolving web method annotations in a handler type. Processes `@RequestMapping`, `@InitBinder`, `@ModelAttribute` and `@SessionAttributes`.

  Used by `AnnotationMethodHandlerAdapter` and `AnnotationMethodHandlerAdapter`.

  Since:
    2.5.2
  Author:
    Juergen Hoeller
  See Also:
    `RequestMapping`, `InitBinder`, `ModelAttribute`, `SessionAttributes`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HandlerMethodResolver()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<String>` | `getActualSessionAttributeNames()`
    `Set<Method>` | `getHandlerMethods()`
    `Set<Method>` | `getInitBinderMethods()`
    `Set<Method>` | `getModelAttributeMethods()`
    `RequestMapping` | `getTypeLevelMapping()`
    `boolean` | `hasHandlerMethods()`
    `boolean` | `hasSessionAttributes()`
    `boolean` | `hasTypeLevelMapping()`
    `void` | `init(Class<?> handlerType)` Initialize a new HandlerMethodResolver for the specified handler type.
    `protected boolean` | `isHandlerMethod(Method method)`
    `protected boolean` | `isInitBinderMethod(Method method)`
    `protected boolean` | `isModelAttributeMethod(Method method)`
    `boolean` | `isSessionAttribute(String attrName, Class attrType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HandlerMethodResolver

          public HandlerMethodResolver()

  - ### Method Detail

    - #### init

          public void init(Class<?> handlerType)

      Initialize a new HandlerMethodResolver for the specified handler type.
      Parameters:
        `handlerType` - the handler class to introspect

    - #### isHandlerMethod

          protected boolean isHandlerMethod(Method method)

    - #### isInitBinderMethod

          protected boolean isInitBinderMethod(Method method)

    - #### isModelAttributeMethod

          protected boolean isModelAttributeMethod(Method method)

    - #### hasHandlerMethods

          public final boolean hasHandlerMethods()

    - #### getHandlerMethods

          public final Set<Method> getHandlerMethods()

    - #### getInitBinderMethods

          public final Set<Method> getInitBinderMethods()

    - #### getModelAttributeMethods

          public final Set<Method> getModelAttributeMethods()

    - #### hasTypeLevelMapping

          public boolean hasTypeLevelMapping()

    - #### getTypeLevelMapping

          public RequestMapping getTypeLevelMapping()

    - #### hasSessionAttributes

          public boolean hasSessionAttributes()

    - #### isSessionAttribute

          public boolean isSessionAttribute(String attrName,
                                   Class attrType)

    - #### getActualSessionAttributeNames

          public Set<String> getActualSessionAttributeNames()